﻿
@model IEnumerable<FunXgame.Models.Marca>
@{
    ViewBag.Title = "ListarMarca";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<div class="card text-center" style="background-color:whitesmoke">
    @{Html.RenderAction("AdminPanelMenu", "AdminPanel");}


    <div class="card-body">
        <div class="card text-left" style="background-color:whitesmoke">
            <div class="card-header">
                <ul class="nav nav-tabs card-header-tabs">

                    <li class="nav-item">
                        <a class="nav-link " style="color:white;background-color:black" href="~/Marcas/ListarMarca">Listar Marca</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link " style="color:black" href="~/Marcas/CrearMarca">Agregar Marca</a>
                    </li>
                </ul>
            </div>
            <div class="card-body">
                <!--SELECTOR FILTROS-->
                <div class="form-row">
                    <div class="col-3 form-group">
                        <input class="form-control" type="text" id="Codigo_marca" value="" placeholder="Codigo Marca" />
                    </div>
                    <div class="col-3 form-group">
                        <input class="form-control" type="text" id="Nombre_marca" value="" placeholder="Nombre Marca" />
                    </div>
                    <div class="col-3 form-group">
                        @Html.DropDownList("Id_estado", null, "Todos", htmlAttributes: new { @class = "form-control", id = "Id_estado" })
                    </div>

                    <div>
                        <button class="btn btn-dark" id="buscar">Buscar</button>
                    </div>
                </div>
                <div class="table-responsive" id="tablaMarca">
                    <!--AQUI PARA FUNCION LISTADO VISTA PARCIAL-->
                    <!--ESTO VA EN VISTA PARCIAL-->

                </div>
            </div>
        </div>
    </div>
</div>


@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
    <script src="~/Scripts/sweetalert.js"></script>
    <script>

         $(window).on("load", function () {
             cargaTablaMarca();
         });

        $('#buscar').click(function () {
            cargaTablaMarca();
            $(this).blur();
        });

        function cargaTablaMarca() {
            let datos = '?codigo=' + $('#Codigo_marca').val() + '&nombre=' + $('#Nombre_marca').val() + '&estado=' + $('#Id_estado').val();
                $.get('@Url.Action("ListarMarcaPartial")' + datos, function (lista) {
                    $('#tablaMarca').html(lista);
                });
        }


    </script>
}